Package javax.help.search

# Class SearchEvent

java.lang.Object
java.util.EventObject
javax.help.search.SearchEvent

All Implemented Interfaces:
  `Serializable`

public class SearchEvent extends EventObject
Encapsulates information that describes changes to a SearchQuery. It is used to notify listeners of the change.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SearchEvent(Object source, String params, boolean searching)`
Represents a change in the SearchEngine.
`SearchEvent(Object source, String params, boolean searching, Vector items)`
Represents a change in the SearchEngine.

## Method Summary

Modifier and Type
Method
Description
`String`
`getParams()`
Returns the parameters to the query.
`Enumeration`
`getSearchItems()`
An enumerated list of SearchItems that match parameters of the query.
`boolean`
`isSearchCompleted()`
A boolean value that indicates if the search is completed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SearchEvent

public SearchEvent(Object source, String params, boolean searching)
Represents a change in the SearchEngine. Used for starting the search or ending the search.

Parameters:
  `source` - The source of this event.
  `params` - The search parameters.
  `searching` - A boolean operator that indicates if searching is executing (true) or stopped (false).
Throws:
  `IllegalArgumentException` - if source, or params is NULL.

### SearchEvent

public SearchEvent(Object source, String params, boolean searching, Vector items)
Represents a change in the SearchEngine. Used to indicate that either a single item or a group of items have matched the params.

Parameters:
  `source` - The source of this event.
  `params` - The search parameters.
  `searching` - A boolean operator that indicates if a search is executing (true) or stopped (false).
  `items` - A Vector of SearchItems matching the the search params.
Throws:
  `IllegalArgumentException` - if source, params, or items is NULL.
See Also:
  - invalid reference

        java.javahelp.SearchItems

## Method Details

### getParams

public String getParams()
Returns the parameters to the query.

### isSearchCompleted

public boolean isSearchCompleted()
A boolean value that indicates if the search is completed.

### getSearchItems

public Enumeration getSearchItems()
An enumerated list of SearchItems that match parameters of the query.